## python-cytoolz 0.10.1

=== Makefile ===
SHELL= /bin/bash
PYTHON ?= python

inplace:
	$(PYTHON) setup.py build_ext --inplace --cython

test: inplace
	nosetests -s --with-doctest cytoolz/
	echo 'cimport cytoolz ; from cytoolz.functoolz cimport memoize' > try_cimport_cytoolz.pyx
	cythonize -i try_cimport_cytoolz.pyx
	python -c 'import try_cimport_cytoolz'
	rm try_cimport_cytoolz.*

clean:
	rm -f cytoolz/*.c cytoolz/*.so cytoolz/*/*.c cytoolz/*/*.so
	rm -rf build/ cytoolz/__pycache__/ cytoolz/*/__pycache__/

curried:
	sed -e 's/toolz/cytoolz/g' -e 's/itercytoolz/itertoolz/' \
		-e 's/dictcytoolz/dicttoolz/g' -e 's/funccytoolz/functoolz/g' \
		../toolz/toolz/curried/__init__.py > cytoolz/curried/__init__.py

copytests:
	for f in ../toolz/toolz/tests/test*py; \
	do \
		if [[ $$f == *test_utils* ]]; then continue ; fi;  \
		if [[ $$f == *test_curried_doctests* ]]; then continue ; fi;  \
		if [[ $$f == *test_tlz* ]]; then continue ; fi;  \
		newf=`echo $$f | sed 's/...toolz.toolz/cytoolz/g'`; \
		sed -e 's/toolz/cytoolz/g' -e 's/itercytoolz/itertoolz/' \
			-e 's/dictcytoolz/dicttoolz/g' -e 's/funccytoolz/functoolz/g' \
			$$f > $$newf; \
		echo $$f $$newf; \
	done

## python-cytoolz 0.9.0.1

=== debian/changelog ===
python-cytoolz (0.9.0.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0 (no change).
  * Drop myself from Uploaders.
  * PYBUILD_NAME should be cytoolz
  * Amend the failed autopkgtest.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 18 Jan 2019 07:44:20 +0000

python-cytoolz (0.9.0.1-1) unstable; urgency=low

  [ Mo Zhou ]
  * Initial release. (Closes: #882725)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 08:15:43 +0100

=== debian/control ===
Source: python-cytoolz
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-pytest,
               python3-toolz,
               python3-setuptools,
               cython3
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cytoolz
Vcs-Git: https://salsa.debian.org/python-team/modules/python-cytoolz.git
Homepage: https://github.com/pytoolz/cytoolz

Package: python3-cytoolz
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Toolz in Cython: High performance functional utilities
 Cython implementation of the toolz package,  which provides high performance
 utility functions for iterables, functions, and dictionaries.
 .
 toolz is a pure Python package that borrows heavily from contemporary
 functional languanges.  It is designed to interoperate seamlessly with other
 libraries including itertools, functools, and third party libraries.
 High performance functional data analysis is possible with builtin types
 like list and dict, and user-defined data structures; and low memory
 usage is achieved by using the iterator protocol and returning iterators
 whenever possible.
 .
 cytoolz implements the same API as toolz.  The main differences are
 that cytoolz is faster (typically 2-5x faster with a few spectacular
 exceptions) and cytoolz offers a C API that is accessible to other
 projects developed in Cython. Since toolz is able to process very
 large (potentially infinite) data sets, the performance increase
 gained by using cytoolz can be significant.

## python-cytoolz 0.10.0

=== debian/changelog ===
python-cytoolz (0.10.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 08:51:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-all-dev,
@@ -11,7 +11,7 @@
                python3-toolz,
                python3-setuptools,
                cython3
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cytoolz
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cytoolz.git
 Homepage: https://github.com/pytoolz/cytoolz
@@ -26,7 +26,7 @@
  utility functions for iterables, functions, and dictionaries.
  .
  toolz is a pure Python package that borrows heavily from contemporary
- functional languanges.  It is designed to interoperate seamlessly with other
+ functional languages.  It is designed to interoperate seamlessly with other
  libraries including itertools, functools, and third party libraries.
  High performance functional data analysis is possible with builtin types
  like list and dict, and user-defined data structures; and low memory

## python-cytoolz 0.10.1

=== debian/changelog ===
python-cytoolz (0.10.1-1fakesync1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:42 +0100

python-cytoolz (0.10.1-1fakesync1) focal; urgency=medium

  * fakesync of the Debian version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2019 00:54:29 +0100

python-cytoolz (0.10.1-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * New upstream version 0.10.1 (Closes: #943614)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 25 Nov 2019 16:41:23 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-toolz,
                python3-setuptools,
                cython3
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cytoolz
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-cytoolz.git
 Homepage: https://github.com/pytoolz/cytoolz

=== debian/tests/control ===
Test-Command: cd /tmp; python3 -c "import cytoolz; print(cytoolz)"
Depends: @

Test-Command: py.test-3 cytoolz/tests/
Depends: @, python3-pytest

## python-cytoolz 0.11.0

=== debian/changelog ===
python-cytoolz (0.11.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:03:51 +0000

python-cytoolz (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Add a Python 3.10 compatibility patch from Steve Langasek (Closes:
    #999405).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 21 Nov 2021 14:51:23 +0500

python-cytoolz (0.11.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 26 Nov 2020 20:18:28 +0000

python-cytoolz (0.10.1-2) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Nilesh Patra ]
  * Refresh patch
  * Cythonize post clean operation (Closes: #966996)
  * compat version: 13
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 06 Aug 2020 00:41:05 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-cytoolz
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-all-dev,
@@ -11,10 +11,11 @@
                python3-toolz,
                python3-setuptools,
                cython3
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cytoolz
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-cytoolz.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cytoolz
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cytoolz.git
 Homepage: https://github.com/pytoolz/cytoolz
+Rules-Requires-Root: no
 
 Package: python3-cytoolz
 Architecture: any

## python-cytoolz 0.12.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	$(PYTHON) setup.py build_ext --inplace --cython
 
 test: inplace
-	nosetests -s --with-doctest cytoolz/
+	pytest -s --doctest-modules cytoolz/
 	echo 'cimport cytoolz ; from cytoolz.functoolz cimport memoize' > try_cimport_cytoolz.pyx
 	cythonize -i try_cimport_cytoolz.pyx
 	python -c 'import try_cimport_cytoolz'

=== debian/changelog ===
python-cytoolz (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes FTBFS with Python 3.11 (Closes: #1024050)
  * Drop py37.patch and python-3.10.patch, fixed upstream.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 14 Nov 2022 21:30:43 +0100

=== debian/watch ===
version=4

https://pypi.python.org/packages/source/c/cytoolz/ \
    cytoolz-(.+)\.tar\.gz

## python-cytoolz 0.12.2

=== debian/changelog ===
python-cytoolz (0.12.2-1ubuntu1) noble; urgency=medium

  * Skip num_required_args assertion in
    test_inspect_wrapped_property to avoid FTBS

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 17 Apr 2024 16:54:13 +0000

python-cytoolz (0.12.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:42:31 +0000

python-cytoolz (0.12.2-1) unstable; urgency=medium

  * Prune egg info and .c files
  * New upstream version 0.12.2 (Closes: #1056853)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add d/clean to fixup rebuild (Closes: #1048045)
  * Refresh patches
  * Annotate pytest with nocheck
  * Add in libpython3-all-dev and python3-all-dev:any to ease
    cross-building. cython3 annotated with :native.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Jan 2024 02:23:06 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-cytoolz
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
-               python3-all-dev,
-               python3-pytest,
+               libpython3-all-dev,
+               python3-all-dev:any,
+               python3-pytest <!nocheck>,
                python3-toolz,
                python3-setuptools,
-               cython3
-Standards-Version: 4.5.1
+               cython3:native
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cytoolz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cytoolz.git
 Homepage: https://github.com/pytoolz/cytoolz

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = cytoolz
export PYBUILD_DISABLE_python2 = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-cytoolz 1.0.0

=== debian/changelog ===
python-cytoolz (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * New upstream release.

  [ Igor Penha ]
  * debian/watch: change regex to ignore alpha versions

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 10:48:31 +0100

python-cytoolz (0.12.2-2) unstable; urgency=medium

  * Team upload.
  * Fix test failure on Python 3.11.9/3.12.3/main (closes: #1069360).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Apr 2024 14:52:15 +0100

## python-cytoolz 1.0.1

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 clean:
 	rm -f cytoolz/*.c cytoolz/*.so cytoolz/*/*.c cytoolz/*/*.so
-	rm -rf build/ cytoolz/__pycache__/ cytoolz/*/__pycache__/
+	rm -rf build/ __pycache__/ cytoolz/__pycache__/ cytoolz/*/__pycache__/
 
 curried:
 	sed -e 's/toolz/cytoolz/g' -e 's/itercytoolz/itertoolz/' \

=== debian/changelog ===
python-cytoolz (1.0.1-3) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarning (Closes: #1085902)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Oct 2025 09:22:21 +0200

python-cytoolz (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Fix tests with Python 3.14 (closes: #1117902).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 12:18:53 +0100

python-cytoolz (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Use dh-sequence-python3.

  [ Colin Watson ]
  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild, so that autopkgtest runs tests on all
    supported Python versions.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Fri, 13 Dec 2024 13:42:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-cytoolz
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libpython3-all-dev,
+               pybuild-plugin-pyproject,
                python3-all-dev:any,
                python3-pytest <!nocheck>,
                python3-toolz,
@@ -17,6 +17,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cytoolz.git
 Homepage: https://github.com/pytoolz/cytoolz
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-cytoolz
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = cytoolz
export PYBUILD_TEST_ARGS = {dir}/cytoolz/tests

%:
	dh $@ --buildsystem=pybuild

## python-cytoolz 1.1.0

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,11 @@
 test: inplace
 	pytest -s --doctest-modules cytoolz/
 	echo 'cimport cytoolz ; from cytoolz.functoolz cimport memoize' > try_cimport_cytoolz.pyx
-	cythonize -i try_cimport_cytoolz.pyx
+	echo 'import setuptools, Cython.Build ; setuptools.setup(ext_modules=Cython.Build.cythonize("try_cimport_cytoolz.pyx"))' > try_cimport_cytoolz_setup.py
+	python try_cimport_cytoolz_setup.py build_ext --inplace
 	python -c 'import try_cimport_cytoolz'
-	rm try_cimport_cytoolz.*
+	rm try_cimport_cytoolz*
+	python -c 'import cytoolz ; print(f"{cytoolz.__version__=}")'
 
 clean:
 	rm -f cytoolz/*.c cytoolz/*.so cytoolz/*/*.c cytoolz/*/*.so

=== debian/changelog ===
python-cytoolz (1.1.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.1.0
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop myself from uploaders
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop py314.patch
  * Drop SyntaxWarning.patch
  * Update test args to fix tests

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Oct 2025 15:48:45 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-cytoolz
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,11 +12,10 @@
                python3-toolz,
                python3-setuptools,
                cython3:native
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cytoolz
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cytoolz.git
 Homepage: https://github.com/pytoolz/cytoolz
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-cytoolz

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = cytoolz
export PYBUILD_TEST_ARGS = cytoolz/tests

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd /tmp; python3 -c "import cytoolz; print(cytoolz)"
Depends: @
